Package org.eclipse.cdt.core.language.settings.providers

# Interface ICListenerAgent

public interface ICListenerAgent
Helper class to allow listeners of arbitrary events self-register/dispose. Called by CDT core when ICListenerAgent added/removed to the list of `ILanguageSettingsProvider`s managed by the model. ICListenerAgent would commonly be implemented by a language settings provider.
Implementers are to create a specific listener and register it to appropriate event manager in `registerListener(ICConfigurationDescription)` then unregister and dispose in `unregisterListener()`.

Since:
  5.4

## Method Summary

Modifier and Type
Method
Description
`void`
`registerListener(ICConfigurationDescription cfgDescription)`
Provides an opportunity for the provider to register specific listeners.
`void`
`unregisterListener()`
Unregister listeners and dispose all resources.

## Method Details

### registerListener

void registerListener(ICConfigurationDescription cfgDescription)
Provides an opportunity for the provider to register specific listeners. Called by CDT core when ICListenerAgent added to the list of `ILanguageSettingsProvider`s managed by the model.

Parameters:
  `cfgDescription` - - configuration description for the listener.

### unregisterListener

void unregisterListener()
Unregister listeners and dispose all resources. Called by CDT core when ICListenerAgent removed from the list of `ILanguageSettingsProvider`s managed by the model.